Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		ladspa
Version:	1.13
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.ladspa.org/
Group:		Development/Libraries
Source0:	%{name}_sdk_%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} stands for Linux Audio Developer's Simple Plugin API.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary: 	%{name} documents.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}_sdk

%build
cd src
make targets

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/ladspa/rdf
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ladspa
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/ladspa
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/ladspa
cd src
make install \
  INSTALL_PLUGINS_DIR=$RPM_BUILD_ROOT/%{_libdir}/ladspa \
  INSTALL_INCLUDE_DIR=$RPM_BUILD_ROOT/%{_includedir} \
  INSTALL_BINARY_DIR=$RPM_BUILD_ROOT/%{_bindir}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README
%doc doc/COPYING
%{_libdir}/ladspa
%{_bindir}/analyseplugin
%{_bindir}/applyplugin
%{_bindir}/listplugins
#%{_datadir}/*

%files doc
%defattr(-,root,root)
%doc doc/*.html

%files devel
%defattr(-,root,root)
%{_includedir}/ladspa.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.13-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.12-2
- Fixed wrong Tags, Bug #0000113
* Sun Mar 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.12-1
- Initial Release
